%define major		2.4
%define	libname		%mklibname hpdf %{major}
%define develname	%mklibname haru -d

Summary:	Cross platform software library for generating PDF
Name:		libharu
Version:	2.4.4
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD-like
URL:		http://www.libharu.org
Source0:	https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
#needed to build paraview-5.4
#Patch0:         libharu-2.3.0-shadings.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	file

%description
HARU is a free, cross platform, open-sourced software library for generating
PDF.

%package -n	%{libname}
Summary:	Shared libharu library
Group:		System/Libraries

%description -n	%{libname}
HARU is a free, cross platform, open-sourced software library for generating
PDF.

%package -n	%{develname}
Summary:        Development headers for libharu 
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	hpdf-devel = %{version}

%description -n	%{develname}
HARU is a free, cross platform, open-sourced software library for generating
PDF.

This package contains the static library and header files.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libhpdf.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/hpdf*.h
%{_libdir}/libhpdf.so
%{_datadir}/%{name}/


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 2.4.4-2.mga10
+ Revision: 2230875
- Mageia 10 Mass Rebuild

* Thu Dec 05 2024 daviddavid <daviddavid> 2.4.4-1.mga10
+ Revision: 2121714
- new version: 2.4.4
- now libmajor is 2.4
- fix library pkg name
- switch to cmake build system

* Sat Mar 19 2022 umeabot <umeabot> 2.3.0-7.mga9
+ Revision: 1799441
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.3.0-6.mga8
+ Revision: 1514151
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.3.0-5.mga7
+ Revision: 1298902
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Wed Oct 11 2017 eatdirt <eatdirt> 2.3.0-4.mga7
+ Revision: 1170915
- Add patch to compile paraview

* Thu Feb 11 2016 umeabot <umeabot> 2.3.0-3.mga6
+ Revision: 955563
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 2.3.0-2.mga6
+ Revision: 892792
- fix empty debugfiles adding --enable-debug configure option

* Tue Jul 28 2015 sander85 <sander85> 2.3.0-1.mga6
+ Revision: 858642
- New version: 2.3.0

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-6.mga5
+ Revision: 749525
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-5.mga5
+ Revision: 681521
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.2.1-4.mga4
+ Revision: 525872
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 2.2.1-3.mga4
+ Revision: 434906
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 357459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 fwang <fwang> 2.2.1-1.mga3
+ Revision: 322514
- drop .la file
- update file list
- fix build with libpng 1.5
- new version 2.2.1

* Tue Sep 20 2011 fwang <fwang> 2.0.8-8.mga2
+ Revision: 145932
- fix build with latest libpng
- rebuild for new libpng

* Sun Feb 06 2011 spuhler <spuhler> 2.0.8-7.mga1
+ Revision: 47990
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libharu


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-7mdv2011.0
+ Revision: 620126
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.0.8-6mdv2010.0
+ Revision: 429745
- rebuild

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-5mdv2009.0
+ Revision: 232985
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0.8-4mdv2008.1
+ Revision: 170949
- rebuild
- summary is not licence tag
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-3mdv2008.0
+ Revision: 79504
- fix deps (again...)

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-2mdv2008.0
+ Revision: 79436
- fix deps

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-1mdv2008.0
+ Revision: 79408
- Import libharu



* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-1mdv2008.0
- initial Mandriva package (opensuse import)
